aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorAaron Buchwald <aaron.buchwald56@gmail.com>2020-10-27 14:04:01 -0400
committerAaron Buchwald <aaron.buchwald56@gmail.com>2020-10-27 15:52:20 -0400
commit28ccbeb7de18212954310588994058874fb180af (patch)
tree4bca4f77f74b31cc7948832ed45dd6b5a4bc8ef7 /scripts
parent806d04e9aa4b6e22fc2a484ada6fecb0c9a348e3 (diff)
Parse config to set enabled APIsv0.3.8
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/build_coreth.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/build_coreth.sh b/scripts/build_coreth.sh
new file mode 100755
index 0000000..41fab1b
--- /dev/null
+++ b/scripts/build_coreth.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# Set GOPATH
+GOPATH="$(go env GOPATH)"
+
+# Set default binary location
+BINARY_PATH="$GOPATH/src/github.com/ava-labs/avalanchego/build/plugins/evm"
+
+if [[ $# -eq 1 ]]; then
+ BINARY_PATH=$1
+elif [[ $# -ne 0 ]]; then
+ echo "Invalid arguments to build coreth. Requires either no arguments (default) or one arguments to specify binary location."
+ exit 1
+fi
+
+# Build Coreth, which is run as a subprocess
+echo "Building Coreth..."
+go build -o "$BINARY_PATH" "plugin/"*.go